package it.cavallium.filequeue;

import java.util.Queue;

class SimpleQueueJava<T> implements SimpleQueue<T> {

	private final Queue<T> queue;

	public SimpleQueueJava(Queue<T> queue) {
		this.queue = queue;
	}

	@Override
	public void add(T element) {
		queue.add(element);
	}

	@Override
	public T remove() {
		return queue.remove();
	}

	@Override
	public int size() {
		return queue.size();
	}
}
